Desktop Notifications plug-in shows incorrect album cover if current file does not contain one

February 06, 2015 11:37 - Michael Steenbeek

Status: Closed Start date: February 06, 2015

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: plugins/notify Estimated time: 0.00 hour

Target version: 3.6   

Affects version: 3.6-beta1   

Description

When playing a song with an embedded album cover, the Desktop Notification plug-in will show it in the notification. But if you play a

song afterwards that does not contain one, the notification will contain the album cover of the previous song.

Steps to reproduce:

1) Play a song with an embedded album cover and the Desktop Notification plug-in active.

-> A notification with the album cover will be shown

2) Without closing Audacious, play another song that doesn't contain one.

-> A notification with the album cover of the previous song will be shown.

To me, it seems like a simple oversight in the album cover setting code (not setting a new one since the file doesn't contain one, but

not resetting the old one either).

(By the way, I could not find the correct category in the list below.)

History

#1 - February 06, 2015 11:40 - Michael Steenbeek

It seems I cannot edit the description.

The steps to reproduce should read as follows (not crossed out!):

Steps to reproduce:

1) Play a song with an embedded album cover and the Desktop Notification plug-in active.

A notification with the album cover will be shown

 

2) Without closing Audacious, play another song that doesn't contain one.

A notification with the album cover of the previous song will be shown.

#2 - February 10, 2015 22:29 - Juan Eugenio Abadie

Michael Steenbeek wrote:
It seems I cannot edit the description.

The steps to reproduce should read as follows (not crossed out!):
1) Play a song with an embedded album cover and the Desktop Notification plug-in active.

A notification with the album cover will be shown

 

2) Without closing Audacious, play another song that doesn't contain one.

A notification with the album cover of the previous song will be shown.

 

I couldn't reproduce it in version 3.6-beta1 on Arch Linux.

#3 - February 11, 2015 17:16 - Michael Steenbeek

I just tried version 3.6-beta1. This version shows the correct generic icon if you stop the current song first and then play another, but still shows the

wrong cover if you start the new song while the old one is still playing.

#4 - February 11, 2015 22:22 - Juan Eugenio Abadie

I tried playing another song while the old one (with the cover) is still playing and works as expected for me. Did you compile also "audacious-plugins"

3.6-beta1?

#5 - February 11, 2015 22:39 - Juan Eugenio Abadie

I've just installed audacious and audacious-plugins 3.5.2 and couldn't reproduce the error. It may be an environment problem? I will go on trying to

reproduce it.

#6 - February 11, 2015 22:50 - Michael Steenbeek

My OS is Ubuntu 14.10, x86_64. I always use the Winamp interface. My audacious-plugins are also at 3.6-beta1.

Tested it again today with the following files, in this order:

1) One with an album cover

2) One without

3) Another one with an album cover

4) Another one without

Strangely, it did correctly show a generic icon for file 2, but not for 4. Apparently it doesn't happen with every file.

Perhaps you can reproduce it with several files in a row?
#7 - February 12, 2015 02:58 - John Lindgren

- Category set to plugins/notify

- Status changed from New to Closed

- Target version set to 3.6

- % Done changed from 0 to 100

- Affects version 3.6-beta1 added

- Affects version deleted (3.5.2)

I can't reproduce this under XFCE right now, but I have seen it in the past.

https://github.com/audacious-media-player/audacious-plugins/commit/825b717f3f5b36a4d125c7af9773fbf1535b5d8c

#8 - February 12, 2015 10:19 - Michael Steenbeek

The commit you pointed to solves another problem entirely. The problem here is not that the notify plugin shows an old notification, but that it shows a

notification for the current song with the album cover of the previous one.

#9 - February 12, 2015 10:39 - Michael Steenbeek

Wait. Seems I spoke a bit too soon. Sorry about that.

It seems that in the commit has solved notifications showing the wrong album cover.

There is just a little thing though: with this patch, changing the song when the old notification is still on the screen does not cancel the old notification.

Meaning that, if you skip a few times, it will show notifications for all the songs you skipped, one after another. (To see this, start a playlist, then press

Skip five times or so). Hopefully this can be ironed out as well before the release of 3.6.

#10 - February 12, 2015 14:14 - John Lindgren

That's a bug in your notification daemon.  Nothing we can do about it.

#11 - February 12, 2015 14:22 - Michael Steenbeek

It didn't do that before applying the patch, though.

#12 - February 12, 2015 14:33 - Michael Steenbeek

Or, more specifically: it didn't do that in the 3.6beta1 version, compiled by Webupd8, that I used before checking out Git and compiling.

#13 - February 12, 2015 19:02 - John Lindgren

Of course it didn't.  It used to reuse the same notification; that's why you saw the old album art hanging around.  The only way to fix that problem is to

create a new notification, and then you have the possibility of the old notification hanging around.  There's no perfect solution.
